#!/bin/sh


# util to encode passwords
# Usage PasswordEncoder pwdtoEncode

Encoder=com.ibm.ws.security.util.PasswordEncoder

binDir=`dirname $0`
. $binDir/setupCmdLine.sh

#Platform specific args...
PLATFORM=`/bin/uname`
case $PLATFORM in
  AIX)
    CONSOLE_ENCODING=-Dws.output.encoding=console
    LIBPATH="$WAS_LIBPATH":$LIBPATH
    export LIBPATH ;;
  Linux)
    CONSOLE_ENCODING=-Dws.output.encoding=console
    LD_LIBRARY_PATH="$WAS_LIBPATH":$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH ;;
  SunOS)
    CONSOLE_ENCODING=-Dws.output.encoding=console
    LD_LIBRARY_PATH="$WAS_LIBPATH":$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH ;;
  HP-UX)
    CONSOLE_ENCODING=-Dws.output.encoding=console
    SHLIB_PATH="$WAS_LIBPATH":$SHLIB_PATH
    export SHLIB_PATH ;;
  OS/390)
    PATH=$binDir:$PATH
    export PATH
    EXTRA_D_ARG1=-Dfile.encoding=ISO8859-1
    EXTRA_D_ARG2=-Djava.ext.dirs="$JAVA_EXT_DIRS"
    EXTRA_X_ARGS=-Xnoargsconversion ;;
esac


# For debugging the utility itself
# WAS_DEBUG="-Djava.compiler=NONE -Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=7777"

MYCLASSPATH=$WAS_HOME/plugins/com.ibm.ws.runtime_6.1.0.jar:$WAS_HOME/lib/bootstrap.jar:$WAS_HOME/plugins/com.ibm.ws.emf_2.1.0.jar:$WAS_HOME/lib/ffdc.jar:$WAS_HOME/plugins/org.eclipse.emf.ecore_2.2.1.v200609210005.jar:$WAS_HOME/plugins/org.eclipse.emf.common_2.2.1.v200609210005.jar

"$JAVA_HOME"/bin/java -cp $MYCLASSPATH $Encoder "$@"
exit $?
